1Password 4 extension shows - 'desktop app required'

1password4 stopped working. I have desktop app installed and browser extension as well.

i tried to restart the 1password, extension, chrome & windows. i also tried reinstalling 1password, extension & chrome

i recently enabled bitlocker not sure if that caused the issue

any suggestions plz?


1Password Version: 4.6.2.626
Extension Version: 4.7.3.90
OS Version: Windows 10 Pro Version 1709 OS Build 16299.904
Sync Type: dropbox

Comments

  • Hello,

    exactly the same problem on Windows 7 x64, while on Firefox the icon of 1Password extension is grayed out and doesn't work either...

    Any solution for this issue??

  • ag_sebastianag_sebastian 1Password Alumni

    Hi there, @vtheegula,

    Google recently updated Chrome's signing certificate starting with Chrome 72, which means 1Password 4 can no longer recognize it. We will not be updating 1Password 4 to address this. While we're happy to continue helping folks out with 1Password 4 and totally understand that not everyone will want to upgrade to a 1Password subscription, we need to keep looking forward from a development perspective. There will come various points as 1Password 4 ages where certain things will just stop working as the world changes around it, but many other browsers like Firefox will still work. If you'd like to stick with 1Password 4, you still have options for saving and filling in your web browser, but Chrome 72+ will only work with 1Password 7.

    @artoor, your Firefox issue sounds different. Is your Firefox fully up to date or is there an update pending? After making sure Firefox is fully updated, please try restarting your computer and see if that helps. If it doesn't, we might have to take a deeper look.

    Cheers!

  • @ag_sebastian, my Firefox was up-to-date and that happened overnight... now I'm trialing 1Password 7 so not able to give any more information about previous version I was using. Anyway thanks for your help :)

  • Greetings @artoor,

    The most likely cause was native messaging not being enabled in 1Password 4 as the extension in Firefox requires it. 1Password 7 only uses native messaging so it ought to work immediately without any setting up required.

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file